/* font body */
@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

/* font heading */
@font-face {
    font-family: 'Domaine Display Bold';
    src: url('../fonts/domaine-display-bold.woff2') format('woff2'),
        url('../fonts/DomaineDisplay-Black.woff') format('woff');
    font-weight: 900;
    font-style: normal;
    font-display: swap;
}






/* icon moon start */
@font-face {
  font-family: 'icomoon';
  src:  url('../icons/icomoon.eot?rznvn3');
  src:  url('../icons/icomoon.eot?rznvn3#iefix') format('embedded-opentype'),
    url('../icons/icomoon.ttf?rznvn3') format('truetype'),
    url('../icons/icomoon.woff?rznvn3') format('woff'),
    url('../icons/icomoon.svg?rznvn3#icomoon') format('svg');
  font-weight: normal;
  font-style: normal;
  font-display: block;
}

[class^="icon-"], [class*=" icon-"] {
  /* use !important to prevent issues with browser extensions that change fonts */
  font-family: 'icomoon' !important;
  speak: never;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  line-height: 1;

  /* Better Font Rendering =========== */
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.icon-location-icon:before {
  content: "\e900";
  color: #fff;
}
.icon-youtube-icon:before {
  content: "\e901";
  color: #fff;
}
.icon-instragram-icon:before {
  content: "\e902";
  color: #fff;
}
.icon-facebook-icon:before {
  content: "\e903";
  color: #fff;
}
.icon-testimonial-quote:before {
  content: "\e904";
  color: #9ccb48;
}
.icon-slick-arrow-left:before {
  content: "\e905";
  color: #fff;
}
.icon-slick-arrow-right:before {
  content: "\e906";
  color: #fff;
}



:root {
  /*heading,body font variables*/
  --font-domaine-display: 'Domaine Display Bold';
  --font-inter:  "Inter", sans-serif;

  /* fonts-sizes */
  --font-H1: 50px;
  --font-H2: 26px;
  --font-H3: 24px;
  --font-H4: 24px;
  --font-H5: 20px;
  --font-H6: 18px;
  --font-p: 16px;

  --lineheight-H1: 68px;
  --lineheight-H2: 35px;
  --lineheight-H3: 33px;
  --lineheight-H4: 32px;
  --lineheight-H5: 28px;
  --lineheight-H6: 26px;
  --lineheight-p: 24px;


  /* Colors */

  /* shadows */
  --black: #000000;
  --black-10:rgba(0, 0, 0, 0.1);
  --black-20:rgba(0, 0, 0, 0.2);
  --black-30:rgba(0, 0, 0, 0.3);
  --black-50:rgba(0, 0, 0, 0.5);
  --black-60:rgba(0, 0, 0, 0.6);
  --black-70:rgba(0, 0, 0, 0.7);
  --black-80:rgba(0, 0, 0, 0.8);
  --black-99:#00000099;

  --white: #FFFFFF;
  --smoke: #E9E9E9;
  --white-10: rgba(255, 255, 255, 0.1);
  --white-15: rgba(255, 255, 255, 0.15);
  --white-20: rgba(255, 255, 255, 0.20);
  --white-25: rgba(255, 255, 255, 0.25);
  --white-30: rgba(255, 255, 255, 0.3);
  --white-40: rgba(255, 255, 255, 0.4);
  --white-50: rgba(255, 255, 255, 0.5);
  --white-70:rgba(255, 255, 255, 0.7);
  --white-80:rgba(255, 255, 255, 0.8);
  
  

  
  /* theme colors */
  --primary-color: #9CCB48;
  --secondary-color: #4B4B4D;
  --gray: #464646;
  --shadow-gray: #7E7E7E;
  --bright-snow: #F6F6F6;
 

  
  /* gradient */

  /* color filters */
  --primary-color-filter: brightness(0) saturate(100%) invert(75%) sepia(51%) saturate(519%) hue-rotate(34deg) brightness(93%) contrast(86%);
  --secondary-color-filter: brightness(0) saturate(100%) invert(28%) sepia(5%) saturate(210%) hue-rotate(202deg) brightness(94%) contrast(89%);
  --white-color-filter: brightness(0) saturate(100%) invert(100%) sepia(91%) saturate(38%) hue-rotate(254deg) brightness(110%) contrast(110%);

  
  /* Spacing */
  
  --space-div: 100px;
  
  /* container */
  --container-size: 1600px;
  --container-space:35px;
  
  /*  */
  
  /* desltop-sticky header */
  --desktop-header-height: 107px;
  
}





/* General Design */

* {
  box-sizing: border-box !important;
}

html {
  scroll-behavior: smooth;
}

*::-webkit-scrollbar {
  height: 10px;
  width: 7.5px;
}
*::-webkit-scrollbar-thumb {
  background-color: var(--secondary-color);
  border-radius: 5px;
}
*::-webkit-scrollbar-track {
  background-color: var(--primary-color);
}

body {
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
  position: relative;
  font-size: var(--font-p);
  line-height: var(--lineheight-p);
  font-family: var(--font-inter) !important;
  font-weight: 400;
  color: var(--black);
  letter-spacing: 0;
}

p {
  font-size: var(--font-p);
  line-height: var(--lineheight-p);
  margin: 0;
  font-family: var(--font-inter) !important;
  font-weight: 400;
  color: var(--black);
  letter-spacing: 0px;
}

.elementor .elementor-widget-text-editor{
  font-family: var(--font-inter) ;

}

/* common spacing  */
ul {
  list-style-type: square;
  font-family: var(--font-inter);
  font-weight: 400;
  color: var(--black);
  font-size: var(--font-p);
  line-height: var(--lineheight-p);
  margin: 0px 0px 20px 20px;
}

ol {
  margin: 0;
  margin-left: 24px;
}



ol li::marker {
  font-weight: 600;
}


.elementor-element p:has(+ *){
  margin-bottom: 16px;
}
ul + p,strong + ul{
  margin-top: 15px;
}

a:hover{
  color: var(--white-80);
}

.entry-content a, .edit-link a{
  color: var(--primary-color);
  font-weight: 500;
}
.entry-content a:hover, .edit-link a:hover{
  color: var(--secondary-color);
}
body :is(h1, h2, h3, h4, h5, h6) {
  font-family: var(--font-domaine-display);
  color: var(--black);
}

body h1,
.zak-page-header .zak-page-title,.intesols-slider-heading,.hero-title,.intesols-slider-desc h2,body .elementor-widget-heading h1.elementor-heading-title{
  font-family: var(--font-domaine-display);
  font-weight: 800;
  font-size: var(--font-H1);
  line-height: var(--lineheight-H1);
  color: var(--white);
  /* text-transform: capitalize; */
  letter-spacing: 0px;
}


body h2,body .elementor-widget-heading h2.elementor-heading-title{
  font-family: var(--font-domaine-display);
  font-weight: 700;
  font-size: var(--font-H2);
  line-height: var(--lineheight-H2);
  color: var(--black);
  /* text-transform: capitalize; */
  letter-spacing: 0px;
}

body h2:has(span) span,body .elementor-widget-heading h2.elementor-heading-title span{
  color: var(--secondary-color);
}


.elementor .elementor-widget-heading .elementor-heading-title{
  color: var(--black);
}



body blockquote{
  background-color: var(--mint-cream);
  border-color: var(--secondary-color);
  margin-block: 20px;
  border-radius: var(--icon-br-12);
}

.e-con-full .elementor-widget-text-editor:last-child ul {
    margin-bottom: 0;
}

ul.col-2{
  column-count: 2;
}

ul.col-2 > li{
  margin-bottom: 5px;
  break-inside: avoid-column;
}


.elementor .elementor-widget-image-box .elementor-image-box-title{
  font-family: var(--font-domaine-display);
  font-weight: 700;
  letter-spacing: 0px;
  font-size: var(--font-H6);  
  line-height: 22px;
  color: var(--black);
  text-transform: capitalize;
  margin: 0;
  text-align: left;
  margin-bottom: 6px;
}

/* elementor global button css */
.elementor-widget-button{
  height: fit-content;
}


.elementor .gallery{
  margin: 0;
}
.elementor .elementor-widget-heading .elementor-heading-title{
  font-family: var(--font-domaine-display);
}



/*  */
.elementor-lightbox .elementor-slideshow__header>svg{
  padding: 0;
  margin-block: 3.5px;
}


.gallery-load-more-wrap button{
  all: unset;
}



.elementor .elementor-widget-button .elementor-button,.header-btn-wrap a,body .elementor .e-button-base,.gallery-load-more-wrap button{
  border: 0;
  background-color: var(--secondary-color);
  padding: 13px 17px;
  color: var(--white);
  font-family: var(--font-inter);
  font-size: var(--font-p);
  font-weight: 400;
  line-height: 19px;
  text-transform: uppercase;
  display: flex;
  align-items: center;
  justify-content: center;
  width: fit-content;
  min-width: 164px;
  border-radius: 0;
  gap: 10px;
  /* box-shadow: inset 0 0 0 0 var(--primary-color); */
  transition: background-color 0.6s ease, color 0.2s ease, border-color 0.2s ease, box-shadow 0.6s ease;
  /* transition:
    background-color 0.2s ease,
    color 0.2s ease,
    border-color 0.2s ease,
    box-shadow 0.2s ease; */

}

.elementor .elementor-widget-button .elementor-button:hover,.header-btn-wrap a:hover,body .elementor .e-button-base:hover,.gallery-load-more-wrap button:hover{
    color: var(--white);
    background-color: var(--secondary-color);
}


.elementor .elementor-widget-button .elementor-button,.header-btn-wrap a,body .elementor .e-button-base,.gallery-load-more-wrap button{
    overflow: hidden;
    z-index: 1;
    position: relative;
}
.elementor .elementor-widget-button .elementor-button::after,.header-btn-wrap a::after,body .elementor .e-button-base::after,.gallery-load-more-wrap button::after {
    content: "";
    position: absolute;
    bottom: auto;
    border-radius: 0 0 75% 75% / 0 0 50% 50%;
    background: var(--primary-color);
    width: 100%;
    left: 0;
    height: 0;
    transition: 0.5s;
    z-index: -1;
    top: 0;
}
.elementor .elementor-widget-button .elementor-button:hover::after,.header-btn-wrap a:hover::after,body .elementor .e-button-base:hover::after,.gallery-load-more-wrap button:hover::after{
    transition: height 0.5s ease-in-out;
    height: 150%;
}



/* btn-2 */
.header-btn-wrap .h-btn-2{
  background-color: var(--primary-color);
  text-transform: uppercase;

}
.header-btn-wrap .h-btn-2::after {
    background: var(--secondary-color);
}

.header-btn-wrap .h-btn-2:hover::after{
    background: var(--secondary-color);

}

:focus-visible{
  outline: 0;
}


.elementor .elementor-widget-icon-box .elementor-icon-box-title,.elementor .elementor-widget-icon-box .elementor-icon-box-title a{
  font-family: var(--font-domaine-display);
  color: var(--black);
}

.elementor .elementor-widget-icon-box:has(:hover) .elementor-icon-box-title,.elementor  .elementor-widget-icon-box:has(:focus) .elementor-icon-box-title{
  color: inherit;
}



/* global zak-footer-builder css */

body .zak-page-header .zak-row{
  gap: 16px;
  justify-content: center;
  max-width: 100%;
}

.zak-footer-builder .zak-footer-top-row .zak-footer-col{
  width: fit-content;
}
.zak-footer.zak-footer-builder .zak-footer-top-row .zak-main-row{
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  gap: 30px;
}

/* zakra general css */

body.home .zak-entry-thumbnail{
    display: none;
}
body #page{
  min-height: fit-content;
}
.zak-entry-thumbnail{
  margin: 0;
}
body .zak-container {
  max-width: 100%;
  padding: 0px;
}

.zak-page-header .zak-page-header__title {
  width: 100%;
}

body .zak-header-builder{
    border: 0;
}

.zak-header-builder .zak-desktop-row.zak-main-header .zak-container,body .zak-footer .zak-container,.zak-page-header .zak-row,.intesols-slide-second{
  max-width: var(--container-size);
  margin: 0 auto;
  justify-content: space-between;
}

.intesols-slider-buttons{
  display: flex;
  align-items: flex-end;
  flex-wrap: wrap;
}


.intesols-slide-second{
  display: flex;
  max-width: var(--container-size);
  margin-inline: auto;
  z-index: 0;
  position: relative;
  padding-bottom: 50px;
}
.zak-primary{
    padding: 0;
    gap: 0;
}
body:not(.tg-container--separate) #page{
  background-color: var(--white);
}

body .zak-footer{
  background-color: var(--secondary-color);

}




/* elementor section space css */

/* atomic general */
body .elementor .e-div-block-base{
  padding: 0;
}

.zak-content .zak-row{
  padding: 0;
}
.elementor-element,.e-con.e-flex>.e-con-inner,.e-con-full.e-flex,body .e-con{
  padding: 0;
}
body .elementor > .e-con:not(:has(.intesols-slider,.full-wrap,.no-space)):not(:where(.home-services-wrap,.cta-acknowledge-wrap)){
  padding-block: var(--space-div);
}




body .elementor > .e-con:not(:where(.bg-bright-snow,.bg-lavender,.full-img-wrap,.explore-potential-wrap,.our-journey-wrap,.bg-mint-cream,.bg-green,.bg-red,.cta-acknowledge-wrap)):not(:has(form,.intesols-slider,.elementor-widget-n-accordion)) + .e-con:not(:has(.intesols-slider,.full-wrap.slick-slider,.ti-reviews-container,form,.services-grid,.elementor-widget-n-accordion,.the-media-list )):not(:where(.bg-bright-snow,.bg-lavender,.bg-mint-cream,.bg-green,.bg-red,.bg-black,.explore-potential-wrap,.our-journey-wrap,.cta-acknowledge-wrap)){
  padding-top: 0;
}

body .elementor > .e-con:is(.home-counter-wrap){
    padding-block: 40px;
}

body .elementor > .e-con:not(:has(.intesols-slider,.full-wrap,.no-space)):not(:where(.home-services-wrap,.cta-acknowledge-wrap)).only-text-center ,body:has(.resources_category-stories) .elementor > .e-con:not(:has(.intesols-slider,.full-wrap,.no-space)):not(:where(.home-services-wrap,.cta-acknowledge-wrap)),body .elementor > .e-con:not(:has(.intesols-slider,.full-wrap,.no-space)):not(:where(.home-services-wrap,.cta-acknowledge-wrap)).total-acc-num-wrap,body .elementor > .e-con:not(:has(.intesols-slider,.full-wrap,.no-space)):not(:where(.home-services-wrap,.cta-acknowledge-wrap)).emergency-support-wrap{
    padding-block: 70px;
}

body .elementor > .e-con:has(.contact-us-form){
  padding-top: 70px;
}

body .elementor > .e-con:is(.no-padding,.full-img-wrap){
  padding-block: 0;
}




.elementor .elementor-widget-image-box:has(:hover) .elementor-image-box-title,.elementor .elementor-widget-image-box:has(:focus) .elementor-image-box-title{
  color: unset;
}
.zak-footer-builder .zak-container > div .zak-footer-col .widget .widget-title{
  padding-bottom: 0;
  border-bottom: 0;
  color: var(--black);
  text-transform: capitalize;
  font-weight: 700;
  font-family: var(--font-domaine-display);

}
.zak-footer-builder .zak-container > div .zak-footer-col .widget .widget-title::before{
  content: none;
}

body .zak-footer-builder .widget ul{
  color: var(--black);
  font-size: var(--font-p);
  gap: 20px;
  line-height: 19px;
}



body .elementor > .e-con.full-wrap,body .elementor > .e-con:has(.elementor-widget-google_maps):not(:has(form)){
  padding-block: 0;
  
}
body .full-wrap.e-con>.e-con-inner,body .elementor .e-con:has(.swiper)>.e-con-inner {
  max-width: 100%;
}

.bg-bright-snow.elementor-element{
  background-color: var(--bright-snow);
}


.elementor-widget-google_maps:only-child iframe{
  min-height: 485px;
}







.elementor-widget-google_maps:not(:only-child) iframe{
  min-height: 311px;
  border-radius: 20px 20px 0 20px;
}






/* single text block condition */

body .elementor > .e-con:not(:only-child):not(:first-child):not(:last-child):has( .e-con-inner > .elementor-widget-text-editor:only-child):not(:where(.bg-bright-snow,.bg-lavender)):not(:has(.elementor-widget-n-accordion)){
  padding-top: 0;
}

body .e-con>.e-con-inner{
  max-width: 100%;
  gap: 30px;
}
body .e-con:not(.full-img-wrap)>.e-con-inner:not(:has(.intesols-slider,.full-wrap,.no-space,.services-grid.slick-slider,.elementor-widget-google_maps:only-child,:is(.outer-project,.outer-location).slick-slider)){
  max-width: var(--container-size);
}


.entry-content p:not(:last-child):has(+ p){
  margin-bottom: 16px;
}


.elementor .elementor-widget-icon-box.elementor-view-framed .elementor-icon,.elementor .elementor-widget-icon-box.elementor-view-default .elementor-icon{
  fill: var(--white);
}

